%global pkgname orb

Name:           gap-pkg-%{pkgname}
Version:        4.7.6
Release:        1%{?dist}
Summary:        Methods to enumerate orbits in GAP

License:        GPLv3+
URL:            https://gap-packages.github.io/orb/
Source0:        https://github.com/gap-packages/%{pkgname}/releases/download/v%{version}/%{pkgname}-%{version}.tar.bz2

# The AtlasRep, Browse and CtblLib dependencies are needed for the tests only
BuildRequires:  gap-devel
BuildRequires:  gap-pkg-atlasrep
BuildRequires:  gap-pkg-autodoc
BuildRequires:  gap-pkg-browse
BuildRequires:  gap-pkg-ctbllib
BuildRequires:  gap-pkg-io

Requires:       gap-core%{?_isa}
Requires:       gap-pkg-io

%description
This package enables enumerating orbits in various ways from within GAP.

%prep
%setup -q -n %{pkgname}-%{version}

%build
export LC_ALL=en_US.UTF-8
export CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64"
%configure --with-gaproot=%{_gap_dir} --disable-silent-rules
make %{?_smp_mflags}
gap makedoc.g

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg/%{pkgname}
cp -a bin doc gap VERSION *.g %{buildroot}%{_gap_dir}/pkg/%{pkgname}
rm -fr %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/{clean,test}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/*.{aux,bbl,blg,brf,idx,ilg,ind,log,out,pnr,toc}

%check
export LC_ALL=en_US.UTF-8

# Skip the speed test; this is for correctness only
# Skip m22f2d34p231.g and m22f2d34p443520.g; they try to access the Internet
# via AtlasRep.
cd tst
gap -l "%{buildroot}%{_gap_dir};%{_gap_dir}" < avltest.g 2>&1 | tee log
gap -l "%{buildroot}%{_gap_dir};%{_gap_dir}" < m22p770.g 2>&1 | tee -a log
if grep -Fq 'Error,' log; then false; else true; fi

%files
%doc CHANGES README
%license LICENSE
%docdir %{_gap_dir}/pkg/%{pkgname}/doc
%{_gap_dir}/pkg/%{pkgname}/

%changelog
* Thu Apr  7 2016 Jerry James <loganjerry@gmail.com> - 4.7.6-1
- New upstream version (bz 1315679)

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.7.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 20 2016 Jerry James <loganjerry@gmail.com> - 4.7.5-1
- New upstream version (bz 1300480)

* Fri Jan  8 2016 Jerry James <loganjerry@gmail.com> - 4.7.4-1
- New upstream version
- Update URLs

* Wed Nov 11 2015 Jerry James <loganjerry@gmail.com> - 4.7.3-2
- Drop scriptlets; gap-core now uses rpm file triggers
- Rebuild documentation from source
- Turn test failures into build failures

* Fri Jul 24 2015 Jerry James <loganjerry@gmail.com> - 4.7.3-1
- Initial RPM
